| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
App1AppInstance_t Struct Reference
App1 module documentation
Collaboration diagram for App1AppInstance_t:

## Data Fields
struct {
uint8 appId
LWEVENT_STRUCT smLWEvent
LWSEM_STRUCT outputBufferLock
} | instance
struct {
SensorInfo_t OrientInfo_Sub0
SensorInfo_t PressInfo_Sub1
} | info
App1AppSettings_t | settings
struct {
isf_fifo_t orientDataFifo_Sub0
isf_fifo_t pressDataFifo_Sub1
} | fifos
App1SensorData_t | data

## Detailed Description

Definition at line 107 of file App1.c.

## Field Documentation

uint8 appId

Definition at line 109 of file App1.c.

Referenced by App1_ci_app_callback(), and App1_MainTask().

App1SensorData_t data

Definition at line 122 of file App1.c.

Referenced by App1_ci_app_callback(), and App1_MainTask().

struct { ... } fifos

Referenced by App1_GotoState(), and App1_MainTask().

struct { ... } info

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

struct { ... } instance

Referenced by App1_ci_app_callback(), and App1_MainTask().

isf_fifo_t orientDataFifo_Sub0

Definition at line 119 of file App1.c.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t OrientInfo_Sub0

Definition at line 114 of file App1.c.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

LWSEM_STRUCT outputBufferLock

Definition at line 111 of file App1.c.

Referenced by App1_ci_app_callback(), and App1_MainTask().

isf_fifo_t pressDataFifo_Sub1

Definition at line 120 of file App1.c.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t PressInfo_Sub1

Definition at line 115 of file App1.c.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

App1AppSettings_t settings

Definition at line 117 of file App1.c.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

LWEVENT_STRUCT smLWEvent

Definition at line 110 of file App1.c.

Referenced by App1_MainTask().

The documentation for this struct was generated from the following file:

- App1.c

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.